<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number102</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.102:</b> Write a JavaScript program to find the number of inversions of a given array of integers.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
		<input type="num1" id="num1" placeholder="Write Something To Check" style="width: 200px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
		<pre id="demo"></pre>
	</div>
<script>
	  function generate() {
		  var num = + document.getElementById('num1').value;
		  var arr = [] ;
		  var ctrl = 0 ;
		  for (i=0 ; i<num ; i++){
			  arr.push(prompt("Enter Element" + (i+1)));
			  arr.map(Number);
		  }
		  for (i=0 ; i<arr.length ; i++){
			  for ( j = i+1 ; j <arr.length ; j++)
			  if ( arr[i] > arr[j] ){
				  ctrl++
			  }
			  
		  }
		  document.getElementById('demo').innerHTML=
			  "Number of inverseion is: " + ctrl ;
	  }
	
	</script>
</body>
</html>
